#!/bin/bash
#
# update_git_version.sh - A script to get the current commit information and
# write the information to module_gitversion.f90
# For info on the format options, check table 2-1 at 
# http://git-scm.com/book/it/v2/Git-Basics-Viewing-the-Commit-History
#
# mschmiddunser 01/15

#get commit information
githash=`git log --pretty=format:"%H" -n 1 HEAD`
githashshort=`git log --pretty=format:"%h" -n 1 HEAD`
gitauthor=`git log --pretty=format:"%an" -n 1 HEAD`
gitdate=`git log --pretty=format:"%ad" -n 1 HEAD`

# Generate new module_gitversion.f90
echo "module gitversion" > module_gitversion.f90
echo "" >> module_gitversion.f90
echo "    character('${#githash}'), parameter :: githash = '$githash'" >> module_gitversion.f90
echo "    character('${#githashshort}'), parameter :: githashshort = '$githashshort'" >> module_gitversion.f90
echo "    character('${#gitauthor}'), parameter :: gitauthor = '$gitauthor'" >> module_gitversion.f90
echo "    character('${#gitdate}'), parameter :: gitdate = '$gitdate'" >> module_gitversion.f90
echo "" >> module_gitversion.f90
echo "end module gitversion" >> module_gitversion.f90
